@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;700&display=swap');
@import url("./reset_css.css");

body {
    font-family: 'Montserrat', sans-serif;
    text-align: center;
    margin: 0 auto;
}

header {
    margin: 0 auto;
    background: rgba(94, 93, 88, 0.60);
    height: 120px;
    width: 100vw;
    position: absolute;

}

.container {
    margin: 0 auto;
    max-width: 1200px;
    padding: 0 20px;
}

.header-container {
    display: flex;
    justify-content: space-between;
    height: 120px;
}

.header__logo-wrapper {
    position: relative;
    display: flex;
    align-items: center;
}

.header__logo-link {
    position: relative;
    display: flex;
    align-items: center;
}

.header__logo-link::before {
    position: absolute;
    content: "H";
    left: 6.5%;
    color: #FFF;
    font-family: Montserrat;
    font-size: 40px;
    font-weight: 700;
    line-height: 31px;

}

.header__logo-link span.text-white {
    font-weight: 400;
}

.header__logo-link span {
    font-family: Montserrat;
    font-size: 32px;
    font-weight: 700;
    line-height: 48px;
}


.text-white {
    color: #FFFFFF;
}

.text-green {
    color: #18CFAB;
}

.header-menu-wrapper {
    display: flex;
    justify-content: space-between;
}

.header__menu {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.search-icon {
    margin-left: 20px;
    cursor: pointer;
}


.search-icon svg path {
    transition: fill 0.3s;
}

.search-icon:hover svg path {
    fill: #18CFAB;
}

.header__menu_list {
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 615px;
    height: 100%;
}

.header__menu_item {
    position: relative;
    height: 100%;
}

.header__menu_item:after {
    display: block;
    position: absolute;
    left: 0; 
    width: 0;
    height: 2px; 
    background-color: #18CFAB;
    content: "";
    transition: width 0.3s ease-out; /
}
    
.header__menu_item:hover:after {
    width: 100%; 
}

.header__menu_link {
    display: block;
    margin: 0 auto;
    color: rgba(255, 255, 255, 0.60);
    font-family: Montserrat;
    font-size: 16px;
    font-weight: 700;
    line-height: 120px;
    /* 150% */
    text-transform: uppercase;
    height: 100%;
    place-content: center;
}



.main-banner__wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100vw;
    height: 1012px;
    background: url(../img/Sections-background/section-1-header.jpg), lightgray 50% / cover no-repeat;
    background-attachment: fixed;
}

.main-banner__slogan {
    text-align: center;
    font-family: Montserrat;
    font-size: 35px;
    font-weight: 700;
    /* line-height: 1px; */
    /* 2.857% */
    color: #FFFFFF;
    text-transform: uppercase;
}

.slogan-big-text {
    display: block;
    text-align: center;
    font-family: Montserrat;
    font-size: 78px;
    font-weight: 700;
    /* line-height: 1px; */
    /* 1.282% */
    text-transform: uppercase;
}

.main-banner__slogan-subtitle {
    color: #D4D4D4;
    text-align: center;
    font-family: Montserrat;
    font-size: 34px;
    font-weight: 400;
    margin-bottom: 134px;
}

.btn {
    color: #FFF;
    text-align: center;
    font-family: Montserrat;
    font-size: 15px;
    font-weight: 700;
    line-height: 31.857px;
    /* 212.38% */
    text-transform: uppercase;
    width: 168px;
    height: 63px;
    border-radius: 4px;
    box-shadow: 0px -4px #FFFFFF;
}

.btn-green {
    background-color: #18CFAB;
    color: #FFFFFF;
}

.btn-blue {
    background-color: #00CBF6;
    color: #FFFFFF;
}

.main-banner__buttons button {
    margin-right: 26px;
}

.product-features {
    display: flex;
}

.feature-card {
    width: 25%;
    height: 377px;
    display: flex;
    flex-direction: column;
    gap: 50px;
    justify-content: center;
    align-items: center;
    color: #18CFAB;
    background-color: #1C2A33;
    box-shadow: 0px -6px #FFFFFF;
}

.feature-card.bg-green {
    background-color: #18CFAB;
    color: #FFFFFF;
}

.feature-card img {
    height: 96px;
}

.feature-text {
    font-family: Montserrat;
    font-size: 20px;
    font-weight: 700;
    line-height: normal;
    text-transform: uppercase;
}



.our-services {
    width: 100vw;
    margin: 0 auto;
    padding: 88px 0px;
}

.section-title {
    position: relative;
    color: #4E4E4E;
    text-align: center;
    font-family: Montserrat;
    font-size: 36px;
    font-weight: 400;
    line-height: 40px;
    /* 111.111% */
    margin-bottom: 100px;
}

.section-title::after {
    position: absolute;
    content: url(../img/Section-underlines.svg);
    top: 95%;
    left: 46%;
}

.our-services__list {
    display: flex;
    justify-content: center;
    margin-bottom: 28px;

}

.our-services__list li {
    cursor: pointer;
    text-align: center;
    font-family: Montserrat;
    font-size: 15.986px;
    font-weight: 400;
    line-height: 38.986px;
    /* 243.875% */
    width: 194px;
    padding: 16px 0px;
    background-color: #F8FCFE;
    border: 1px solid #EDEFEF;
    transition: 0.2s;
}

.our-services__list li:hover {
    border: 1px solid #18CFAB;
    transition: 0.4s;
}

.services.service-active {
    background-color: #18CFAB;
    position: relative;
}

.services.service-active::before {
    content: url(../img/Home-section/Rectangle.png);
    position: absolute;
    right: 44%;
    top: 83%;
}

.service-text {
    color: #777;
    font-family: Montserrat;
    font-size: 14px;
    font-weight: 300;
    line-height: 24.366px;
    /* 178.571% */
}


.service-content {
    height: 140px;
    display: flex;
    gap: 15px;
}

.service-img {
    width: 192px;
    height: 139px;
}

.hidden {
    display: none;
}

.purchase-now {
    margin: 0 auto;
    width: 100vw;
    height: 476px;
    background: url(../img/Sections-background/section-2.jpg), lightgray 50% center/cover no-repeat;
    background: url(../img/Sections-background/section-2-mask.png) center/cover no-repeat;
}

.purchase-now__wrapper {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.call-to-action {
    text-align: center;
    font-family: Montserrat;
    font-size: 40px;
    font-weight: 700;
    line-height: 40.455px;
    /* 101.138% */
    text-transform: uppercase;
}

.purchase-now__text {
    margin-bottom: 62px;
    color: #D8D8D8;
    text-align: center;
    font-family: Montserrat;
    font-size: 16px;
    font-weight: 400;
    line-height: 40px;
    /* 250% */
}

.purchase-now__wrapper button {
    margin: 0 auto;
}


.our-amazing-work {
    padding: 100px 0px;
    margin: 0 auto;
    background: #E9EDEF;
}


.our-amazing-work__list {
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    /* width: 587px; */
    /* height: 58px; */
    margin-bottom: 70px;
}

.work-category {
    cursor: pointer;
    color: #717171;
    font-family: Montserrat;
    font-size: 14px;
    font-weight: 400;
    line-height: 42.042px;
    /* box-sizing: border-box; */
    /* 300.301% */
    padding: 14px 14px;
    border: 1px solid #DADADA;
    transition: 0.2s;
    /* box-sizing: content-box; */
}

/* .work-category[data-tab="all"],
.work-category[data-tab="graphic-design"], 
.work-category[data-tab="web-design"], 
.work-category[data-tab="landing-pages"] {
    border-right: 1px solid transparent;
} */

.our-amazing-work__list li:first-child {
    padding: 14px 28px;
}

.work-category:hover {
    box-sizing: content-box;
    color: #18CFAB;
    border: 1px solid #18CFAB;
    transition: 0.2s;
}

.active-category {
    color: #18CFAB;
    border: 1px solid #18CFAB;
}


.our-amazing-work__images-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    margin-bottom: 70px;
}


.our-amazing-work__images-wrapper img {
    width: 284px;
    height: 206px;
}

.flip-card {
    position: relative;
    width: 284px;
    height: 206px;
    border: 1px solid black;
}

.flip-card-front,
.flip-card-back {
    width: 100%;
    height: 100%;
    overflow: hidden;
    backface-visibility: hidden;
    position: absolute;
    transition: transform .6s linear;
}


.flip-card-front {
    transform: perspective(600px) rotateY(0deg);
}

.flip-card-back {
    transform: perspective(600px) rotateY(180deg);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.flip-card:hover>.flip-card-front {
    transform: perspective(600px) rotateY(-180deg);
}

.flip-card:hover>.flip-card-back {
    transform: perspective(600px) rotateY(0deg);
}



.flip-card-back svg {
    margin-bottom: 24px;
}

.back-title {
    color: #18CFAB;
    font-family: Montserrat;
    font-size: 14px;
    font-weight: 700;
    line-height: 25px;
    /* 177.644% */
    text-transform: uppercase;
}

.back-subtitle {
    color: #8A8A8A;
    font-family: Montserrat;
    font-size: 12px;
    font-weight: 300;
    line-height: 25px;
    /* 207.251% */
}

.load-more {
    box-shadow: none;
    outline: none;
}

.load-more img {
    margin-right: 15px;
}


.load-more_loader-wrapper {
    position: relative;
}

.loader,
.loader:before,
.loader:after {
    border-radius: 50%;
    width: 2.5em;
    height: 2.5em;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-animation: load7 1.8s infinite ease-in-out;
    animation: load7 1.8s infinite ease-in-out;
}

.loader {
    display: none;
    color: #ffffff;
    font-size: 10px;
    margin: 80px auto;
    position: absolute;
    top: -129%;
    left: 49%;
    text-indent: -9999em;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-animation-delay: -0.16s;
    animation-delay: -0.16s;
}

.loader:before,
.loader:after {
    content: '';
    position: absolute;
    top: 0;
}

.loader:before {
    left: -3.5em;
    -webkit-animation-delay: -0.32s;
    animation-delay: -0.32s;
}

.loader:after {
    left: 3.5em;
}

@-webkit-keyframes load7 {

    0%,
    80%,
    100% {
        box-shadow: 0 2.5em 0 -1.3em;
    }

    40% {
        box-shadow: 0 2.5em 0 0;
    }
}

@keyframes load7 {

    0%,
    80%,
    100% {
        box-shadow: 0 2.5em 0 -1.3em;
    }

    40% {
        box-shadow: 0 2.5em 0 0;
    }
}



/* Анімація - коло з заповненим сектором що рухається */

/* <div class="loader">Loading...</div> */

/* .loader,
.loader:after {
  border-radius: 50%;
  width: 10em;
  height: 10em;
}
.loader {
  margin: 60px auto;
  font-size: 10px;
  position: relative;
  text-indent: -9999em;
  border-top: 1.1em solid rgba(255, 255, 255, 0.2);
  border-right: 1.1em solid rgba(255, 255, 255, 0.2);
  border-bottom: 1.1em solid rgba(255, 255, 255, 0.2);
  border-left: 1.1em solid #ffffff;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-animation: load8 1.1s infinite linear;
  animation: load8 1.1s infinite linear;
}
@-webkit-keyframes load8 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes load8 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
} */



/* Анімація - біла лінія в кружок */

/* <div id="loader"></div>
<h4>Loader #7</h4>  */

/* h4 {
    position: absolute;
    bottom: 20px;
    left: 20px;
    margin: 0;
    font-weight: 200;
    opacity: 1;
      font-family: sans-serif;
    color: #fff;
  }
  #loader {
    animation: animate 1.5s linear infinite;
    clip: rect(0, 80px, 80px, 40px); 
    height: 80px;
    width: 80px;
    position: absolute;
    left: calc(50% - 40px);
    top: calc(50% - 40px);
  }
  @keyframes animate {
    0% { 
      transform: rotate(0deg)
    }
    100% { 
      transform: rotate(220deg)
    }
  }
  #loader:after {
    animation: animate2 1.5s ease-in-out infinite;
    clip: rect(0, 80px, 80px, 40px);
    content:'';
    border-radius: 50%; 
    height: 80px;
    width: 80px;
    position: absolute; 
  } 
  @keyframes animate2 {
    0% {
      box-shadow: inset #fff 0 0 0 17px;
      transform: rotate(-140deg);
    }
    50% {
      box-shadow: inset #fff 0 0 0 2px;
    }
    100% {
      box-shadow: inset #fff 0 0 0 17px;
      transform: rotate(140deg);
    }
  } */


.breaking-news {
    padding: 82px 0px 130px 0px;
    margin: 0 auto;
}

.breaking-news__img-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 35px;
}

.breaking-news__news-card {
    position: relative;
    display: flex;
    flex-direction: column;
}

.breaking-news__news-card h3 {
    text-align: left;
    margin-left: 15px;
}

.breaking-news__news-card a:hover h3 {
    color: #18CFAB;
}

.breaking-news__news-card a:hover .news-card__date-block {
    background-color: #18CFAB;
}

.news-card__title {
    color: #717171;
    text-align: center;
    font-family: Montserrat;
    font-size: 18px;
    font-weight: 700;
    line-height: 39px;
    /* 216.481% */
}

.news-card__comments-wrap {
    position: relative;
    display: flex;
}

.news-card__comments-wrap:before {
    content: "";
    position: absolute;
    top: 30%;
    left: 37%;
    width: 1px;
    height: 14px;
    background-color: #777;
}

.news-card__comments-wrap p {
    display: block;
    color: #777;
    text-align: center;
    font-family: Montserrat;
    font-size: 14px;
    font-weight: 300;
    line-height: 39px;
    /* 278.333% */
    padding: 0px 15px;
}

.news-card__date-block {
    position: absolute;
    top: 0;
    right: 0;
    width: 70px;
    height: 68px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background: #203E38;
}

.date-block-text {
    color: #FFF;
    text-align: center;
    font-family: Montserrat;
    font-size: 16px;
    font-weight: 400;
    line-height: 25px;
    /* 156.25% */
}

.ham-reviews {
    width: 100vw;
    height: 853px;
    padding: 98px 0px;
    background: url(../img/Sections-background/section-3.jpg), lightgray 50% center/cover no-repeat;
    background: url(../img/Sections-background/section-3-mask.png) center/cover no-repeat;
}

.ham-reviews .section-title {
    color: #FFF;
}

.review-wrapper {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    margin-bottom: 50px;

}

.review-wrapper.hidden {
    display: none;
}

.review {
    color: #BBB;
    text-align: center;
    font-family: Montserrat;
    font-size: 16px;
    font-weight: 300;
    line-height: 30px;
    /* 187.5% */
    padding: 37px 0px;
}

.review::before {
    content: url(../img/What-people-say-Section/quotes.png);
    position: absolute;
    top: 0;
    left: 48%;
}

.reviewer-name {
    color: #18CFAB;
    text-align: center;
    font-family: Montserrat;
    font-size: 16px;
    font-weight: 700;
    line-height: 27px;
    /* 168.75% */
    text-transform: uppercase;
}

.reviewer-position {
    color: #BBB;
    font-family: Montserrat;
    font-size: 13px;
    font-weight: 300;
    line-height: 27px;
    margin-bottom: 25px;
}

.reviewer-photo-wrapper {
    position: relative;
    display: flex;
    place-items: center;
    width: 166px;
    height: 166px;
    border-radius: 50%;
    background-color: rgba(24,207,171, 0.2);
}

.reviewer-photo-wrapper img {
    width: 142px;
    height: 142px;
    flex-shrink: 0;
    margin: 0 auto;
}

.slider-wrapper {
    position: relative;
    display: flex;
    height: 70px;
    padding: 0px 30px;
    justify-content: center;
    align-items: center;
    gap: 27px;

    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

.slider-item {
    cursor: pointer;
    width: 70px;
    height: 70px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background: 	rgba(24,207,171, 0.2);
    transition: 0.6s;
}

.slider-item:hover {
    position: relative;
    bottom: 11px;
    background: rgba(24,207,171, 0.8);
    transition: 0.6s;
}

.slider-item-active {
    position: relative;
    bottom: 11px;
    background: rgba(24,207,171, 0.8);
}

.slider-item img {
    width: 60px;
    height: 60px;
}

.arrow-left,
.arrow-right {
    cursor: pointer;
    transition: 0.4s;
}

.arrow-left:hover rect:first-child {
    fill: #18CFAB;
    fill-opacity: 1;
    transition: 0.4s;
}

.arrow-left:hover path {
    fill: white;
}

.arrow-right:hover rect:first-child {
    fill: #18CFAB;
    fill-opacity: 1;
}

.arrow-right:hover path {
    fill: white;
}

.arrow-right {
    transform: rotateY(180deg);
}

footer {
    width: 100vw;
    margin: 0 auto;
    height: 120px;
    background-color: #22353F;
}

.copyright_wrapper {
    display: flex;
    align-items: center;
    height: 100%;
}

.copyright {
    margin: 0 auto;
    text-align: center;
    color: #AEAEAE;
    font-family: Montserrat;
    font-size: 14px;
    font-weight: 300;
    line-height: 26px;
    /* 185.714% */
}